%define _mozillaextpath %{firefox_mozillapath}/extensions

%define subrel 1

Name: firefox-ext-bonjourfoxy
Version: 0.7.1
Release: %mkrel 2
Summary: BonjourFoxy extension for firefox
License: Public Domain
Group:	Networking/WWW
URL:	http://andrew.tj.id.au/projects/bonjourfoxy/
Source0:    http://www.bonjourfoxy.net/releases/bonjourfoxy-nix-%{version}.tar.gz
Requires:	firefox = %{firefox_epoch}:%{firefox_version}
BuildRequires:	xulrunner
BuildRequires:	xulrunner-devel
BuildRequires:	firefox-devel
BuildRequires:	firefox
BuildRequires:	nspr-devel
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
BonjourFoxy adds Bonjour (DNS Service Discovery) support to Firefox 3. It is
beta software however it is feature complete in that via the use of a sidebar
or menu you can browse for and navigate to services. Bonjourfoxy also provides
an interface for Extension developers to perform browse, resolve and register
services as well as to enumerate browse/registration domains.

%prep
%setup -q -n bonjourfoxy-%{version}

%build
make \
    XPIDL=%{xulrunner_mozappdir}/xpidl  \
    XR_LIB_PATH=`pkg-config --variable sdkdir libxul` \
    XR_INCLUDES="-I `pkg-config --variable includedir libxul`" \
    IDL_INCLUDES="-I `pkg-config --variable idldir libxul`" \
    FF_MAJOR_VER=%{firefox_version} \
    EXTENSION_ID_SUFFIX=firefox-%{firefox_version}.bonjourfoxy.net \
    EXTENSIONS_PATH=%{_libdir}/firefox-%{firefox_version}/extensions

%install
rm -rf %{buildroot}
make install \
    DESTDIR=%{buildroot} \
    FF_MAJOR_VER=%{firefox_version} \
    EXTENSION_ID_SUFFIX=firefox-%{firefox_version}.bonjourfoxy.net \
    EXTENSIONS_PATH=%{_libdir}/firefox-%{firefox_version}/extensions

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %firefox_mozillapath
%{_mozillaextpath}


%changelog
* Wed Aug 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7.1-2.1mdv2010.1
+ Revision: 568929
- rebuild for firefox-3.6.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.7.1-2mdv2010.1
+ Revision: 549364
- rebuild with FF 3.6.6

* Fri Apr 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 538360
- new version

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 531260
- new version 0.7.0

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.5.5-4mdv2010.1
+ Revision: 531092
- rebuild

* Wed Mar 24 2010 Funda Wang <fwang@mandriva.org> 0.5.5-3mdv2010.1
+ Revision: 527057
- fix build
- BR ff
- rebuild

* Fri Jan 22 2010 Funda Wang <fwang@mandriva.org> 0.5.5-2mdv2010.1
+ Revision: 494796
- rebuild

* Sat Jan 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.5-1mdv2010.1
+ Revision: 492514
- new version

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 0.5.1-0.20090913.3mdv2010.1
+ Revision: 462794
- rebuild for new ff

* Tue Sep 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-0.20090913.2mdv2010.0
+ Revision: 442785
- rebuild

* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-0.20090913.1mdv2010.0
+ Revision: 438750
- new version

  + Funda Wang <fwang@mandriva.org>
    - fix BR

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - make use of the firefox package macros
    - rebuild for firefox 3.5.2

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 0.4.1-4mdv2010.0
+ Revision: 410504
- rebuild for new ff

* Fri Jul 31 2009 Funda Wang <fwang@mandriva.org> 0.4.1-3mdv2010.0
+ Revision: 405028
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fwang@mandriva.org> 0.4.1-2mdv2010.0
+ Revision: 385772
- rebuild for new ff

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 381248
- New version 0.4.1

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-3mdv2010.0
+ Revision: 372889
- fix firefox directory for backports

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2010.0
+ Revision: 369816
- rebuild for new ff

* Wed Apr 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 367591
- import firefox-ext-bonjourfoxy


